According to wiki [1], it is tested (and supported) to add pve5.x nodes to
pve4.x cluster.
Perhaps you will have to upgrade the existing cluster first to the latest
version (4.4) , then proceed to the addition of  the pve5.2
node(s).Moreover it is also stated, that this should be used as an
intermediate step, before upgrading all cluster nodes to v5.2 and not as a
permanent setup.

[1]
https://pve.proxmox.com/wiki/Upgrade_from_4.x_to_5.0#Caveats_to_know_before_you_start

On Thu, Apr 12, 2018 at 7:35 PM, JR Richardson <jmr.richard...@gmail.com>
wrote:

> Hi All,
>
>
>
> I'm in the middle of adding some compute nodes to an existing cluster. I
> was
> certain I could add a newer 5.x node to existing 4.1 cluster bit I get
> error
> with some script deprecations in perl.
>
>
>
> Should I build new compute nodes as 4.1, join to the cluster, then once all
> nodes are added, do the upgrade of all nodes to 5.2? Or is there a work
> around to adding a 5.2 node to a 4.1 cluster?
>
>
>
> Best practice? I have to add more compute nodes for migrating VMs around to
> release existing 4.1 compute nodes so I can do the upgrades to 5.2.
>
>
>
> Thanks.
>
>
> JR
>
>
>
> JR Richardson
>
> Engineering for the Masses
>
> Chasing the Azeotrope
>
>
>
> _______________________________________________
> pve-user mailing list
> pve-user@pve.proxmox.com
> https://pve.proxmox.com/cgi-bin/mailman/listinfo/pve-user
>
_______________________________________________
pve-user mailing list
pve-user@pve.proxmox.com
https://pve.proxmox.com/cgi-bin/mailman/listinfo/pve-user

Reply via email to